Subject: Re: linux-next: Tree for Nov 26 (staging/fwserial)

From: Peter Hurley <[email-masked]>
Date: Tue, 27 Nov 2012 02:39:10 -0500

On Mon, 2012-11-26 at 15:20 -0800, Andrew Morton wrote:
> On Mon, 26 Nov 2012 12:56:07 -0800
> Randy Dunlap <[email-masked]> wrote:
> 
> > On 11/26/2012 06:17 AM, Stephen Rothwell wrote:
> > 
> > > Hi all,
> > > 
> > > Changes since 20121115:
> > > 
> > 
> > 
> > on i386:
> > 
> > drivers/staging/fwserial/dma_fifo.c: In function 'dma_fifo_in':
> > drivers/staging/fwserial/dma_fifo.c:174:2: error: implicit declaration of function '__WARN_printf'
> > 
> 
> That should be replaced with WARN(fifo->corrupt, format).

Yeah, not sure what I was thinking there. Or rather not thinking.

> drivers/staging/fwserial/dma_fifo.[ch] appear to be generic code and
> really should be proposed for mm/ or lib/.

If there are other users for which this would be useful, that's ok with
me. I'd feel more comfortable with that after this driver gets some
heavier usage (which shouldn't be a problem once I get a console and
debugger running on top of it).